Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class LocalCache.InternalListener

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.cache.LocalCache.InternalListener`

All Implemented Interfaces:
  MapListener, java.util.EventListener

Enclosing class:
  LocalCache

      protected class LocalCache.InternalListener

extends Base
implements MapListener

An internal MapListener that listens to this cache and reports changes to the CacheStore.

Constructor Summary
`protected` | `LocalCache.InternalListener()`

Method Summary
`void` | `entryDeleted(MapEvent evt)` Invoked when a map entry has been removed.
`void` | `entryInserted(MapEvent evt)` Invoked when a map entry has been inserted.
`void` | `entryUpdated(MapEvent evt)` Invoked when a map entry has been updated.
`protected void` | `onModify(MapEvent evt)` A value modification event (insert or update) has occurred.

Constructor Detail

### LocalCache.InternalListener

    protected LocalCache.InternalListener()

Method Detail

### entryInserted

    public void entryInserted(MapEvent evt)

  Invoked when a map entry has been inserted.
  Specified by:
    `entryInserted` in interface `MapListener`
  Parameters:
    `evt` - the MapEvent carrying the insert information

### entryUpdated

    public void entryUpdated(MapEvent evt)

  Invoked when a map entry has been updated.
  Specified by:
    `entryUpdated` in interface `MapListener`
  Parameters:
    `evt` - the MapEvent carrying the update information

### entryDeleted

    public void entryDeleted(MapEvent evt)

  Invoked when a map entry has been removed.
  Specified by:
    `entryDeleted` in interface `MapListener`
  Parameters:
    `evt` - the MapEvent carrying the delete information

### onModify

    protected void onModify(MapEvent evt)

  A value modification event (insert or update) has occurred.
  Parameters:
    `evt` - the MapEvent object

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.